#
# spec file for package horde (Version 2.2.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  apache-devel-packages mod_php4
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool mm mod_php4 mod_ssl perl rpm

Name:         horde
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Requires:     mod_php4
Version:      2.2.3
Release:      235
Source0:      ftp://ftp.horde.org/pub/horde/tarballs/%{name}-%{version}.tar.bz2
Source2:      README.SuSE
Patch1:       %{name}-%{version}-CVE-2005-3570.patch
URL:          http://www.horde.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Core pieces to run Horde web applications
PreReq:       fileutils

%description
These are the core pieces to the Horde suite of web applications. This
package will be needed in order to run any of the other programs such
as IMP.



Authors:
--------
    Chuck Hagenbuch <chuck@horde.org>
    Jason "ZeroDiViDe" Orcutt <zerodiv@zerodivide.net>
    Mike Hardy <mike@itsprojects.com>
    Ivan E. Moore II <rkrusty@tdyc.com>

%define apache_horde      %(apxs -q PREFIX)/htdocs/horde
%prep
%setup
%patch1
cp -a %{S:2} .

%build
cd config
for i in *.dist; do mv $i ${i%.dist}; done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apache_horde}
cp -r ./* $RPM_BUILD_ROOT%{apache_horde}
cd $RPM_BUILD_ROOT%{apache_horde}
rm -r docs COPYING README README.SuSE
rm -rf $RPM_BUILD_ROOT/%{apache_horde}/po
rm -f $RPM_BUILD_ROOT/%{apache_horde}/config/.htaccess

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING docs README.SuSE
%dir %{apache_horde}
%{apache_horde}/graphics
%{apache_horde}/lib
%{apache_horde}/*.php
%{apache_horde}/scripts
%{apache_horde}/templates
%{apache_horde}/util
%{apache_horde}/locale
%attr(0750, root, www) %dir %{apache_horde}/config
%attr(0440, root, www) %config(noreplace)	%{apache_horde}/config/horde.php
%attr(0440, root, www) %config			%{apache_horde}/config/html.php
%attr(0440, root, www) %config			%{apache_horde}/config/lang.php
%attr(0440, root, www) %config			%{apache_horde}/config/mime_drivers.php
%attr(0440, root, www) %config			%{apache_horde}/config/mime_mapping.php
%attr(0440, root, www) %config(noreplace)	%{apache_horde}/config/motd.php
%attr(0440, root, www) %config(noreplace)	%{apache_horde}/config/prefs.php
%attr(0440, root, www) %config(noreplace)	%{apache_horde}/config/registry.php

%changelog -n horde
* Thu Nov 24 2005 - mmarek@suse.cz
- fix XSS in lib/Horde.php
  [#135277] (CVE-2005-3570.patch)
* Wed Aug 13 2003 - tcrhak@suse.cz
- update to version 2.2.3
* Thu Jul 31 2003 - poeml@suse.de
- mark the config files %%config / %%config(noreplace)
- make config dir non-world-readable
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directory to filelist
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Jan 22 2003 - tcrhak@suse.cz
- update to version 2.2
* Thu Oct 24 2002 - okir@suse.de
- security fix for cross-site scripting problems
* Fri Sep 27 2002 - tcrhak@suse.cz
- added fillup_only and related staff
- determine the server root according to what apxs says
- renamed test.php3 to info.php3 in order to enable
  viewing the file
- fixed permissions
- require mod_php4
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 05 2002 - ro@suse.de
- changed server root to /srv/www
* Tue Sep 25 2001 - adostal@suse.cz
- uninstall fix in section %%preun
* Fri Aug 31 2001 - adostal@suse.cz
- create a new stand-alone package (v. 1.2.6)- old versions are
  generated from imapweb package
- create README.SuSE and horde-httpd.conf
